Skip to main content
GET
Retrieve Subscription Details

Key Points

Retrieve Detailed Subscription Data:

  • This API provides comprehensive information on an individual subscription, such as:
  • Subscription ID
  • Plan Name and Description
  • Status (active, expired, cancelled)
  • Start Date, End Date, and Next Billing Date
  • Cycle Interval (e.g., monthly, every 2 days)
  • Trial Period and Discount Information
  • Billing History: Details of past payments, including amounts and dates

Subscription ID

  • The Subscription ID must be provided in the URL to retrieve the details of a specific subscription.

Authorizations

Authorization
string
header
required

API Key for Authorization. Format: 'Basic YOUR_API_KEY_HERE'

x-api-key
string
header
required

API Key specific to x-api-key.

Path Parameters

subscription_id
string
required

The Subscription ID of the subscription. Example: 664dc930-88bd-4696-8807-5e0f1fedba0b. The unique Subscription ID of the subscription.

Maximum string length: 36

Response

200 - application/json

A successful response containing the subscription details.

success
boolean

Indicates whether the transaction was successful.

Example:

true

status_code
integer

The HTTP status code of the response.

Example:

200

is_live
boolean

Indicates if the transaction is live or a test transaction.

Example:

false

subscription_details
object

Details of the subscription.